# Euclidean Sequencer

by Matt Ridenour (mattridenour@gmail.com)
Created on Sun Oct 26 2008 (Updated at Wed May 2 2018)

A class for spaceing a number of ones over a range of zeros as evenly as possible using the Euclidean algorithm.

For more information on using the Euclidean algorithm in the context of music, please read:
[The Euclidean Algorithm Generates Traditional Musical Rhythms by Godfried Toussaint][toussaint].

Special thanks to Wesen for bringing Euclidean sequencing to my attention and [forging the way using Lisp][wesen].

## Usage:

Command Line:
```bash
$> ./bin/euclidean_sequence --help
```
Ruby:
```ruby
require "./lib/sequencer.rb"
pulses = 8
hits = 5
p Sequencer.generate(hits: hits ,pulses: pulses, options: {array: true, offset: 2})
```

Oontz!

## License
[MIT][mit]
]
## Code of Conduct
[Code of Conduct][code_of_conduct]

[code_of_conduct]: CODE_OF_CONDUCT.md
[mit]: LICENSE.txt
[toussaint]: http://cgm.cs.mcgill.ca/~godfried/publications/banff.pdf
[wesen]: http://ruinwesen.com/blog?id=216

